#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 11. General Utilities

- Prev

  Rep-gtk-0.90.8.3

- Next

  shared-mime-info-2.1

- Up
- Home

# Screen-4.9.0

## Introduction to Screen

Screen is a terminal multiplexor that runs several separate processes, typically interactive shells, on a single physical character-based terminal. Each virtual terminal emulates a DEC VT100 plus several ANSI X3.64 and ISO 2022 functions and also provides configurable input and output translation, serial port support, configurable logging, multi-user support, and many character encodings, including UTF-8. Screen sessions can be detached and resumed later on a different terminal.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://ftp.gnu.org/gnu/screen/screen-4.9.0.tar.gz

- Download (FTP): ftp://ftp.gnu.org/gnu/screen/screen-4.9.0.tar.gz

- Download MD5 sum: b1ef8ed89134d335e614016634982b6d

- Download size: 780 KB

- Estimated disk space required: 7.8 MB

- Estimated build time: 0.1 SBU

### Screen Dependencies

#### Optional

Linux-PAM-1.5.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/screen

## Installation of Screen

Install Screen by running the following commands:

    sh autogen.sh                                 &&
    ./configure --prefix=/usr                     \
                --infodir=/usr/share/info         \
                --mandir=/usr/share/man           \
                --with-socket-dir=/run/screen     \
                --with-pty-group=5                \
                --with-sys-screenrc=/etc/screenrc &&

    sed -i -e "s%/usr/local/etc/screenrc%/etc/screenrc%" {etc,doc}/* &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install &&
    install -m 644 etc/etcscreenrc /etc/screenrc

## Command Explanations

`--with-socket-dir=/run/screen`: This option places the per-user sockets in a standard location.

`--with-sys-screenrc=/etc/screenrc`: This option places the global screenrc file in `/etc`.

`--with-pty-group=5`: This option sets the gid to the value used by LFS.

sed -i -e "s%/usr/local/etc/screenrc%/etc/screenrc%" {etc,doc}/*: This command corrects the configuration and documentation files to the location that is used here for the global screenrc file.

## Configuring Screen

###

#### Config Files

`/etc/screenrc` and `~/.screenrc`

###

#### Configuration Information

You may want to look at the example configuration file that was installed and customize it for your needs.

## Contents

Installed Program: screen (symlink) and screen-4.9.0
Installed Libraries: None
Installed Directory: /usr/share/screen and /run/screen

### Short Descriptions

screen | is a terminal multiplexor with VT100/ANSI terminal emulation

Last updated on

- Prev

  Rep-gtk-0.90.8.3

- Next

  shared-mime-info-2.1

- Up
- Home